Bug 192588 - net/citrix_ica needs USE_LINUX_APPS+=gtk2
Summary: net/citrix_ica needs USE_LINUX_APPS+=gtk2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-11 18:07 UTC by Helge Oldach
Modified: 2014-08-12 10:14 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2014-08-11 18:07:34 UTC
wfcmgr requires Linux' gtk2 libraries, otherwise it will refuse to run. Patch is trivial:

--- Makefile.ctm        2014-03-30 05:14:08.000000000 +0200
+++ Makefile    2014-08-11 20:06:11.000000000 +0200
@@ -13,7 +13,7 @@

 ONLY_FOR_ARCHS=        i386 amd64
 USE_LINUX=     yes
-USE_LINUX_APPS=        openmotif alsalib
+USE_LINUX_APPS=        gtk2 openmotif alsalib
 RESTRICTED=    License prohibits redistribution

 NO_WRKSUBDIR=  yes
Comment 1 John Marino freebsd_committer 2014-08-11 20:34:15 UTC
no maintainer, patch is trivial; patch-ready
Comment 2 commit-hook freebsd_committer 2014-08-12 10:14:06 UTC
A commit references this bug:

Author: marino
Date: Tue Aug 12 10:13:54 UTC 2014
New revision: 364689
URL: http://svnweb.freebsd.org/changeset/ports/364689

Log:
  net/citrix_ica: USE_LINUX_APPS+= gtk2

  PR:		192588
  Submitted by:	Helge Oldach

Changes:
  head/net/citrix_ica/Makefile
Comment 3 John Marino freebsd_committer 2014-08-12 10:14:46 UTC
Done, thanks!